<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.gxwebsoft.cms.mapper.AdMapper">

    <!-- 关联查询sql -->
    <sql id="selectSql">
        SELECT a.*
        FROM cms_ad a
        <where>
            <if test="param.adId != null">
                AND a.ad_id = #{param.adId}
            </if>
            <if test="param.adType != null">
                AND a.ad_type LIKE CONCAT('%', #{param.adType}, '%')
            </if>
            <if test="param.width != null">
                AND a.width LIKE CONCAT('%', #{param.width}, '%')
            </if>
            <if test="param.height != null">
                AND a.height LIKE CONCAT('%', #{param.height}, '%')
            </if>
            <if test="param.images != null">
                AND a.images LIKE CONCAT('%', #{param.images}, '%')
            </if>
            <if test="param.userId != null">
                AND a.user_id = #{param.userId}
            </if>
            <if test="param.merchantId != null">
              AND a.merchant_id = #{param.merchantId}
            </if>
            <if test="param.sortNumber != null">
                AND a.sort_number = #{param.sortNumber}
            </if>
            <if test="param.comments != null">
                AND a.comments LIKE CONCAT('%', #{param.comments}, '%')
            </if>
            <if test="param.status != null">
                AND a.status = #{param.status}
            </if>
            <if test="param.createTimeStart != null">
                AND a.create_time &gt;= #{param.createTimeStart}
            </if>
            <if test="param.createTimeEnd != null">
                AND a.create_time &lt;= #{param.createTimeEnd}
            </if>
            <if test="param.keywords != null">
              AND (a.comments LIKE CONCAT('%', #{param.keywords}, '%')
                OR a.ad_id = #{param.keywords}
                OR a.path LIKE CONCAT('%', #{param.keywords}, '%')
              )
            </if>
        </where>
    </sql>

    <!-- 分页查询 -->
    <select id="selectPageRel" resultType="com.gxwebsoft.cms.entity.Ad">
        <include refid="selectSql"></include>
    </select>

    <!-- 查询全部 -->
    <select id="selectListRel" resultType="com.gxwebsoft.cms.entity.Ad">
        <include refid="selectSql"></include>
    </select>

</mapper>
